## jline
Class CandidateCycleCompletionHandler

    java.lang.Object
      jline.CandidateCycleCompletionHandler

All Implemented Interfaces:
  CompletionHandler

public class CandidateCycleCompletionHandler
extends Object
implements CompletionHandler

A `CompletionHandler` that deals with multiple distinct completions by cycling through each one every time tab is pressed. This mimics the behavior of the editline library.

This class is currently a stub; it does nothing

Author:
  Marc Prud'hommeaux

Constructor Summary
`CandidateCycleCompletionHandler()`

Method Summary
`boolean` `complete(ConsoleReader reader, List candidates, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CandidateCycleCompletionHandler

    public CandidateCycleCompletionHandler()

Method Detail

### complete

    public boolean complete(ConsoleReader reader,
                            List candidates,
                            int position)
                     throws IOException

  Specified by:
    `complete` in interface `CompletionHandler`
  Throws:
    `IOException`

Released under the terms of the BSD license